package com.supervision.ai.service.hub.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 日志审计表
 * @TableName audit_log
 */
@TableName(value ="audit_log")
@Data
public class AuditLog implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 记录类型：0-正常操作记录；1-异常记录
     */
    private String recordType;

    /**
     * 
     */
    private String appName;

    /**
     * 
     */
    private String userId;

    /**
     * 
     */
    private String appId;

    /**
     * 
     */
    private String ip;

    /**
     * 
     */
    private String method;

    /**
     * 
     */
    private String url;

    /**
     * 
     */
    private String requestParams;

    /**
     * 
     */
    private Integer costTime;

    /**
     * 
     */
    private String response;

    /**
     * 
     */
    private String exceptionDesc;

    /**
     * 
     */
    private String createUserId;

    /**
     * 
     */
    private LocalDateTime createTime;

    /**
     * 
     */
    private LocalDateTime updateTime;

    /**
     * 
     */
    private String updateUserId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}