package com.supervision.ai.service.hub.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @TableName comfyui_task_result
 */
@TableName(value ="comfyui_task_result")
@Data
public class ComfyuiTaskResult implements Serializable {
    /**
     * 主键id
     */
    @TableId
    private String id;

    /**
     * 任务id
     */
    private String taskId;

    /**
     * 结果id
     */
    private String resultFileId;

    /**
     * 创建人id
     */
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    /**
     * 更新人id
     */
    private String updateUserId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}