package com.supervision.ai.service.hub.dto.comfyui;

import lombok.Data;

@Data
public class ComfyUIPromptParamDTO {

    /**
     * 主键id
     */
    private String id;

    /**
     * 提示词id
     */
    private String promptId;

    /**
     * 参数key
     */
    private String paramKey;

    /**
     * 参数json路径，用户后端设置模板中的值
     */
    private String paramPath;

    /**
     * 参数类型 0：整数 1：浮点型 2：字符串 3：布尔值
     */
    private Integer paramType;

    /**
     * 组件类型，用于前端展示
     */
    private String componentType;

    /**
     * 标签，用于前端展示
     */
    private String label;

    /**
     * 是否必填
     */
    private Boolean required;

    /**
     * 默认值，用于前端展示
     */
    private String defaultValue;

    /**
     * 值
     */
    private Object value;
}
