package com.supervision.ai.service.hub.dto.sys;

import lombok.Data;

import java.util.List;


@Data
public class PermissionDTO {

    /**
     * 权限id
     */
    private String id;

    /**
     * 名称
     */
    private String name;

    /**
     * 类型 0：菜单权限 1：接口权限
     */
    private String type;

    /**
     * 权限码值 全局唯一不允许重复
     */
    private String code;

    /**
     * 父级id
     */
    private String parentId;



    private List<PermissionDTO> children;

}
