package com.supervision.ai.service.hub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.ai.service.hub.aop.AuditLogDTO;
import com.supervision.ai.service.hub.domain.AuditLog;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author Administrator
* @description 针对表【audit_log(日志审计表)】的数据库操作Service
* @createDate 2025-04-11 15:51:10
*/
public interface AuditLogService extends IService<AuditLog> {

    void saveAuditLog(AuditLogDTO auditLogDTO);

    IPage<AuditLogDTO> pageList(AuditLogDTO auditLogDTO, Integer page, Integer pageSize);

    AuditLogDTO queryById(String id);
}
