package com.supervision.ai.service.hub.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.ai.service.hub.aop.AuditLogDTO;
import com.supervision.ai.service.hub.domain.AuditLog;
import com.supervision.ai.service.hub.service.AuditLogService;
import com.supervision.ai.service.hub.mapper.AuditLogMapper;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【audit_log(日志审计表)】的数据库操作Service实现
* @createDate 2025-04-11 15:51:10
*/
@Service
public class AuditLogServiceImpl extends ServiceImpl<AuditLogMapper, AuditLog>
    implements AuditLogService{

    @Override
    public void saveAuditLog(AuditLogDTO auditLogDTO) {
        if (null == auditLogDTO){
            return;
        }

        AuditLog auditLog = auditLogDTO.toAuditLog();
        this.save(auditLog);
    }

    @Override
    public IPage<AuditLogDTO> pageList(AuditLogDTO auditLogDTO, Integer page, Integer pageSize) {
        return null;
    }

    @Override
    public AuditLogDTO queryById(String id) {
        return null;
    }
}




