package com.supervision.ai.service.hub.service.impl;

import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.ai.service.hub.domain.ComfyuiPrompt;
import com.supervision.ai.service.hub.service.ComfyUIPromptService;
import com.supervision.ai.service.hub.mapper.ComfyuiPromptMapper;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【comfyui_prompt(comfyui提示词表)】的数据库操作Service实现
* @createDate 2025-03-31 17:49:56
*/
@Service
public class ComfyUIPromptServiceImpl extends ServiceImpl<ComfyuiPromptMapper, ComfyuiPrompt>
    implements ComfyUIPromptService {

    @Override
    public boolean promptExist(String promptId) {
        Assert.notEmpty(promptId,"promptId不能为空");
        return this.lambdaQuery().eq(ComfyuiPrompt::getId, promptId).exists();
    }
}




