package com.supervision.ai.service.hub.vo.comfyui;

import com.supervision.ai.service.hub.dto.comfyui.ComfyUIPromptParamDTO;
import lombok.Data;
import java.util.List;

/**
 * 任务执行结果
 */
@Data
public class TaskResultResVo {

    private String taskId;

    private String status;

    private String modelName;

    private String modelType;

    private String modelId;

    private List<String> outputImages;

    private List<ComfyUIPromptParamDTO> taskParams;
}
