package com.supervision.ai.service.hub;

import io.minio.MinioClient;
import io.minio.errors.*;
import io.minio.messages.Bucket;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.IOException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.util.List;

@Slf4j
@SpringBootTest
class AiServiceHubApplicationTests {

	@Autowired
	private MinioClient minioClient;
	@Test
	void minioTest() throws ServerException, InsufficientDataException, ErrorResponseException, IOException, NoSuchAlgorithmException, InvalidKeyException, InvalidResponseException, XmlParserException, InternalException {
		List<Bucket> buckets = minioClient.listBuckets();
		log.info("buckets size :{}", buckets.size());
	}

}
