package com.supervision.ai.service.hub.dto.comfyui;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.util.List;

@Data
public class ComfyUIPromptDTO {

    private String id;

    /**
     * 提示词名
     */
    private String promptName;

    /**
     * 提示词类型 0:文生图 1：图生图 2：图生视频
     */
    private String promptType;

    /**
     * 提示词
     */
    private JSONObject prompt;

    /**
     * 提示词图片id
     */
    private String iconFileId;


    private List<ComfyUIPromptParamDTO> params;
}
