package com.supervision.ai.service.hub.service;

import com.supervision.ai.service.hub.domain.ComfyuiPrompt;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author Administrator
* @description 针对表【comfyui_prompt】的数据库操作Service
* @createDate 2025-04-11 15:51:10
*/
public interface ComfyUIPromptService extends IService<ComfyuiPrompt> {


    /**
     * 判断提示词是否存在
     * @param promptId 提示词id
     * @return true 存在，false 不存在
     */
    boolean promptExist(String promptId);

}
