package com.supervision.ai.service.hub.service;

import com.supervision.ai.service.hub.domain.ComfyuiTask;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.ai.service.hub.dto.comfyui.TaskDTO;
import java.util.List;

/**
* @author Administrator
* @description 针对表【comfyui_task(comfyui任务表)】的数据库操作Service
* @createDate 2025-04-11 15:51:10
*/
public interface ComfyuiTaskService extends IService<ComfyuiTask> {

    void updateTaskResult(TaskDTO taskDTO);

    List<TaskDTO> queryNotStartedTask(int size);


    void notifyWebhook(TaskDTO taskDTO);
}
