package com.supervision.ai.service.hub.service;

import com.supervision.ai.service.hub.dto.comfyui.ServerNode;

import java.util.List;

public interface NodeManager {
    ServerNode selectAvailableNode();
    void markNodeFailed(String nodeId);
    void recoverNode(String nodeId);

    List<ServerNode> listAllNodes();

    void addNode(ServerNode node);
}
