package com.supervision.ai.service.hub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.ai.service.hub.domain.Permission;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.ai.service.hub.dto.sys.PermissionDTO;

import java.util.List;

/**
* @author Administrator
* @description 针对表【permission(权限表)】的数据库操作Service
* @createDate 2025-04-14 16:01:14
*/
public interface PermissionService extends IService<Permission> {

    String savePermission(PermissionDTO permissionDTO);

    Boolean updatePermission(PermissionDTO permissionDTO);

    Boolean deletePermission(String id);

    List<PermissionDTO> queryPermission(String type);


    IPage<PermissionDTO> pageList(String permissionName, Integer page, Integer pageSize);

    PermissionDTO queryById(String id);
}
