package com.supervision.ai.service.hub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.ai.service.hub.domain.SysFile;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.ai.service.hub.dto.sys.FileDTO;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

/**
* @author Administrator
* @description 针对表【sys_file(系统文件表)】的数据库操作Service
* @createDate 2025-04-11 15:51:10
*/
public interface SysFileService extends IService<SysFile> {

    String upload(MultipartFile file);

    IPage<FileDTO> pageList(String fileName, String fileType ,Integer page, Integer pageSize);

    FileDTO queryById(String id);

    void downLoad(String fileId, HttpServletResponse response);


    byte[] downloadFile(String fileId);
}
