package com.supervision.ai.service.hub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.ai.service.hub.domain.SysRole;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.ai.service.hub.dto.sys.SysRoleDTO;

/**
* @author Administrator
* @description 针对表【sys_role】的数据库操作Service
* @createDate 2025-04-11 15:51:10
*/
public interface SysRoleService extends IService<SysRole> {

    String saveRole(SysRoleDTO roleDTO);

    Boolean updateRole(SysRoleDTO roleDTO);

    Boolean deleteRole(String id);

    IPage<SysRoleDTO> pageList(String roleName, Integer page, Integer pageSize);

    SysRoleDTO queryById(String id);

}
